
// Sample GamblerAgent class for CS 171 Project 1
// Author:  John Paul Vergara

#include <sstream>
#include "MiniCasino.h"
#include "GamblerAgent.h"
using namespace std;

GamblerAgent::GamblerAgent( MiniCasino *mc, int C, int M )
{
	casino = mc;
	cash = C;
	numGames = M*6;
}

// strategy: always play with machine A only.

int GamblerAgent::gamble()
{
	for( int i = 0; i < numGames; i++ )
	{
		// played 1 peso
		cash = cash - 1;
		// but got back whatever play() returned
		istringstream iss( casino->play( "A" ) );
		int win;
		iss >> win;
		cash = cash + win;
	}
	return cash;
}

